Обновление VMware Tools в FreeBSD 6.2

Сегодня при обновлении VMware Tools на одной из виртуальных машин, столкнулись со следующей ошибкой:

«Tools is not supported on FreeBSD < 6.3. Detected FreeBSD version 6.2. Execution aborted.»

Просмотр VMware Compatibility Guide показал, что FreeBSD 6.2 вообще не поддерживается на продукте VMware vSphere. Поддержка осуществляется начиная с версии FreeBSD 6.3. Также я обратил внимание, что для vSphere 5.1 FreeBSD до версии 7.0 имеет статус поддержки Deprecated (устаревшая). Согласно статье БЗ VMware этот статус означает, что поддержка этой ОС (FreeBSD) разработчиком ОС уже не осуществляется. Инженеры VMware осуществляют поддержку этих ОС в плане выпуска заплаток, но новый функционал для таких ОС уже не предоставляется. Ну и статус Deprecated означает, что поддержка в скором будущем может быть прекращена.

На текущей версии гипервизора (4.1U3) мне будет осуществляться полная поддержка, если я обновлю эту ВМ до FreeBSD 6.3. Но при обновлении до 5.1 я опять столкнусь с ограничением уровня поддержки этой ВМ. 🙂

А теперь о том, как все-таки обновить VMware Tools для FreeBSD 6.2 (и более старой версии).

Копируем ISO образ во временный каталог гостевой виртуалки из консоли хоста ESX 4.1U3:

# scp /usr/lib/vmware/isoimages/freebsd.iso vm_FQDN:/tmp/

Подключаем образ на ВМ:

mdconfig -a -t vnode -f /tmp/freebsd.iso -u 1

mount -t cd9660 /dev/md1 /cdrom

Извлекаем пакет инсталляции VMWare Tools

cd /tmp

tar zxpf /cdrom/vmware-freebsd-tools.tar.gz

Обманываем инсталлятор:

cd vmware-tools-distrib

vi ./bin/vmware-config-tools.pl

комментируем строки с проверкой версии FreeBSD

#else {
# If we get here, then tools is not supported. Error out.
# error ('Tools is not supported on FreeBSD < 6.3. ' .
# "Detected FreeBSD version $freeBSDVersion.\n");
# }

Ещё раз обманываем инсталлятор:

ln -s /usr/local/lib/vmware-tools/modules/binary/FreeBSD6.0-i386 /usr/local/lib/vmware-tools/modules/binary/FreeBSD0.0-i386

и запускаем его:

./vmware-install.pl

Как вы понимаете, обман инсталлятора вы осуществляете на свой страх и риск. Если при создании снапшота, миграции виртуальной машины или другом действии она схлопнется, отвечать за это вам. И никакая тех.поддержка VMware вам тут не помощник 😉

P.S. Кстати, обратил внимание, что Flexible Network Adapter также не поддерживается в FreeBSD. Только e1000 или VMXNET3 (точный набор поддерживаемого виртуального оборудования можно посмотреть в ячейке пересечения версий FreeBSD и ESX/ESXi.

Запись опубликована в рубрике 4.1, 5.1, VMware, vSphere с метками . Добавьте в закладки постоянную ссылку.

Добавить комментарий

Ваш e-mail не будет опубликован. Обязательные поля помечены *